Subject: soil salinity

From: [email-masked] (Fjmc4)
Date: 31 Mar 1995 21:26:25 -0500

I'm looking for plants that will survive in soil that has a high salt
content due to use of artesian well water (mid-atlantic...zone 7-8).
Landscape plants,evergreens and such as these will be used around a
residence. Not much info around on this subject any help greatly
appreciated!
I'm also looking for other garden or horticulture related groups,
particularly involving recent research. Any hint on where to find
them.....I'm really new at this.

thanx Jessie